Bug 977216 - unable to yum install fedora-packager due to depsolving issues
unable to yum install fedora-packager due to depsolving issues
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 01:41 EDT by Dan Mashal
Modified: 2013-06-24 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 05:56:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2013-06-24 01:41:25 EDT
--> Finished Dependency Resolution
Error: Package: python-deltarpm-3.6-0.13.20130520git.fc19.x86_64 (fedora)
           Requires: deltarpm(x86-64) = 3.6-0.13.20130520git.fc19
           Installed: deltarpm-3.6-1.fc19.x86_64 (@updates-testing)
               deltarpm(x86-64) = 3.6-1.fc19
           Available: deltarpm-3.6-0.13.20130520git.fc19.x86_64 (fedora)
               deltarpm(x86-64) = 3.6-0.13.20130520git.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@Fedora19 dan]# yum downgrade deltarpm
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package deltarpm.x86_64 0:3.6-0.13.20130520git.fc19 will be a downgrade
---> Package deltarpm.x86_64 0:3.6-1.fc19 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch         Version                         Repository    Size
================================================================================
Downgrading:
 deltarpm       x86_64       3.6-0.13.20130520git.fc19       fedora        82 k

Transaction Summary
================================================================================
Downgrade  1 Package

Total download size: 82 k
Is this ok [y/d/N]: y
Downloading packages:
deltarpm-3.6-0.13.20130520git.fc19.x86_64.rpm              |  82 kB   00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : deltarpm-3.6-0.13.20130520git.fc19.x86_64                    1/2 
  Cleanup    : deltarpm-3.6-1.fc19.x86_64                                   2/2 
  Verifying  : deltarpm-3.6-0.13.20130520git.fc19.x86_64                    1/2 
  Verifying  : deltarpm-3.6-1.fc19.x86_64                                   2/2 

Removed:
  deltarpm.x86_64 0:3.6-1.fc19                                                  

Installed:
  deltarpm.x86_64 0:3.6-0.13.20130520git.fc19                                   

Complete!
[root@Fedora19 dan]# yum install fedora-packager
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package fedora-packager.noarch 0:0.5.10.1-3.fc19 will be installed
--> Processing Dependency: fedora-cert = 0.5.10.1-3.fc19 for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: fedpkg >= 1.0 for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: ykpers for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: rpmlint for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: rpmdevtools for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: rpm-build for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: redhat-rpm-config for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: pyOpenSSL for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: packagedb-cli for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: mock for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: koji for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Processing Dependency: bodhi-client for package: fedora-packager-0.5.10.1-3.fc19.noarch
--> Running transaction check
---> Package bodhi-client.noarch 0:0.9.5-2.fc19 will be installed
--> Processing Dependency: python-fedora >= 0.3.5 for package: bodhi-client-0.9.5-2.fc19.noarch
--> Processing Dependency: python-simplejson for package: bodhi-client-0.9.5-2.fc19.noarch
---> Package fedora-cert.noarch 0:0.5.10.1-3.fc19 will be installed
---> Package fedpkg.noarch 0:1.11-3.fc19 will be installed
--> Processing Dependency: pyrpkg >= 1.13 for package: fedpkg-1.11-3.fc19.noarch
--> Processing Dependency: python-offtrac for package: fedpkg-1.11-3.fc19.noarch
---> Package koji.noarch 0:1.8.0-1.fc19 will be installed
--> Processing Dependency: python-krbV >= 1.0.13 for package: koji-1.8.0-1.fc19.noarch
---> Package mock.noarch 0:1.1.32-1.fc19 will be installed
--> Processing Dependency: python-decoratortools for package: mock-1.1.32-1.fc19.noarch
--> Processing Dependency: pigz for package: mock-1.1.32-1.fc19.noarch
--> Processing Dependency: createrepo for package: mock-1.1.32-1.fc19.noarch
---> Package packagedb-cli.noarch 0:1.5.0-1.fc19 will be installed
--> Processing Dependency: python-bugzilla for package: packagedb-cli-1.5.0-1.fc19.noarch
---> Package pyOpenSSL.x86_64 0:0.13-5.fc19 will be installed
---> Package redhat-rpm-config.noarch 0:9.1.0-45.fc19 will be installed
--> Processing Dependency: dwz >= 0.4 for package: redhat-rpm-config-9.1.0-45.fc19.noarch
--> Processing Dependency: perl-srpm-macros for package: redhat-rpm-config-9.1.0-45.fc19.noarch
---> Package rpm-build.x86_64 0:4.11.0.1-2.fc19 will be installed
---> Package rpmdevtools.noarch 0:8.3-3.fc19 will be installed
--> Processing Dependency: xemacs-filesystem for package: rpmdevtools-8.3-3.fc19.noarch
--> Processing Dependency: fakeroot for package: rpmdevtools-8.3-3.fc19.noarch
---> Package rpmlint.noarch 0:1.5-1.fc19 will be installed
--> Processing Dependency: python-magic for package: rpmlint-1.5-1.fc19.noarch
--> Processing Dependency: python-enchant for package: rpmlint-1.5-1.fc19.noarch
---> Package ykpers.x86_64 0:1.9.0-2.fc19 will be installed
--> Processing Dependency: libyubikey.so.0(YUBIKEY_1.5)(64bit) for package: ykpers-1.9.0-2.fc19.x86_64
--> Processing Dependency: libyubikey.so.0(YUBIKEY_1.0)(64bit) for package: ykpers-1.9.0-2.fc19.x86_64
--> Processing Dependency: libyubikey.so.0()(64bit) for package: ykpers-1.9.0-2.fc19.x86_64
--> Running transaction check
---> Package createrepo.noarch 0:0.9.9-21.fc19 will be installed
--> Processing Dependency: python-deltarpm for package: createrepo-0.9.9-21.fc19.noarch
---> Package dwz.x86_64 0:0.10-1.fc19 will be installed
---> Package fakeroot.x86_64 0:1.12.4-6.fc19 will be installed
--> Processing Dependency: fakeroot-libs = 1.12.4-6.fc19 for package: fakeroot-1.12.4-6.fc19.x86_64
---> Package libyubikey.x86_64 0:1.10-1.fc19 will be installed
---> Package perl-srpm-macros.noarch 0:1-7.fc19 will be installed
---> Package pigz.x86_64 0:2.2.5-2.fc19 will be installed
---> Package pyrpkg.noarch 0:1.18-4.fc19 will be installed
--> Processing Dependency: GitPython >= 0.2.0 for package: pyrpkg-1.18-4.fc19.noarch
---> Package python-bugzilla.noarch 0:0.8.0-2.fc19 will be installed
---> Package python-decoratortools.noarch 0:1.8-6.fc19 will be installed
---> Package python-enchant.noarch 0:1.6.5-10.fc19 will be installed
---> Package python-fedora.noarch 0:0.3.32.3-1.fc19 will be installed
--> Processing Dependency: python-requests for package: python-fedora-0.3.32.3-1.fc19.noarch
--> Processing Dependency: python-bunch for package: python-fedora-0.3.32.3-1.fc19.noarch
---> Package python-krbV.x86_64 0:1.0.90-6.fc19 will be installed
---> Package python-magic.x86_64 0:5.11-9.fc19 will be installed
---> Package python-offtrac.noarch 0:0.0.4-1.fc19 will be installed
---> Package python-simplejson.x86_64 0:3.2.0-1.fc19 will be installed
---> Package xemacs-filesystem.noarch 0:21.5.33-5.fc19 will be installed
--> Running transaction check
---> Package GitPython.noarch 0:0.3.2-0.4.RC1.fc19 will be installed
--> Processing Dependency: python-gitdb for package: GitPython-0.3.2-0.4.RC1.fc19.noarch
---> Package fakeroot-libs.x86_64 0:1.12.4-6.fc19 will be installed
---> Package python-bunch.noarch 0:1.0.1-4.fc19 will be installed
---> Package python-deltarpm.x86_64 0:3.6-0.13.20130520git.fc19 will be installed
---> Package python-requests.noarch 0:1.1.0-3.fc19 will be installed
--> Processing Dependency: python-urllib3 for package: python-requests-1.1.0-3.fc19.noarch
--> Running transaction check
---> Package python-gitdb.x86_64 0:0.5.4-5.fc19 will be installed
--> Processing Dependency: python-async >= 0.6.1 for package: python-gitdb-0.5.4-5.fc19.x86_64
--> Processing Dependency: python-smmap for package: python-gitdb-0.5.4-5.fc19.x86_64
---> Package python-urllib3.noarch 0:1.5-6.fc19 will be installed
--> Processing Dependency: python-six for package: python-urllib3-1.5-6.fc19.noarch
--> Processing Dependency: python-backports-ssl_match_hostname for package: python-urllib3-1.5-6.fc19.noarch
--> Running transaction check
---> Package python-async.x86_64 0:0.6.1-6.fc19 will be installed
---> Package python-backports-ssl_match_hostname.noarch 0:3.2-0.3.a3.fc19 will be installed
---> Package python-six.noarch 0:1.3.0-1.fc19 will be installed
---> Package python-smmap.noarch 0:0.8.1-6.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                          Arch   Version                   Repository
                                                                           Size
================================================================================
Installing:
 fedora-packager                  noarch 0.5.10.1-3.fc19           fedora  41 k
Installing for dependencies:
 GitPython                        noarch 0.3.2-0.4.RC1.fc19        fedora 432 k
 bodhi-client                     noarch 0.9.5-2.fc19              fedora  21 k
 createrepo                       noarch 0.9.9-21.fc19             fedora  91 k
 dwz                              x86_64 0.10-1.fc19               fedora  98 k
 fakeroot                         x86_64 1.12.4-6.fc19             fedora  77 k
 fakeroot-libs                    x86_64 1.12.4-6.fc19             fedora  23 k
 fedora-cert                      noarch 0.5.10.1-3.fc19           fedora  33 k
 fedpkg                           noarch 1.11-3.fc19               fedora  38 k
 koji                             noarch 1.8.0-1.fc19              fedora 203 k
 libyubikey                       x86_64 1.10-1.fc19               fedora  25 k
 mock                             noarch 1.1.32-1.fc19             fedora 206 k
 packagedb-cli                    noarch 1.5.0-1.fc19              fedora  22 k
 perl-srpm-macros                 noarch 1-7.fc19                  fedora 4.6 k
 pigz                             x86_64 2.2.5-2.fc19              fedora  46 k
 pyOpenSSL                        x86_64 0.13-5.fc19               fedora 569 k
 pyrpkg                           noarch 1.18-4.fc19               fedora  79 k
 python-async                     x86_64 0.6.1-6.fc19              fedora  69 k
 python-backports-ssl_match_hostname
                                  noarch 3.2-0.3.a3.fc19           fedora 9.8 k
 python-bugzilla                  noarch 0.8.0-2.fc19              fedora  77 k
 python-bunch                     noarch 1.0.1-4.fc19              fedora  14 k
 python-decoratortools            noarch 1.8-6.fc19                fedora  29 k
 python-deltarpm                  x86_64 3.6-0.13.20130520git.fc19 fedora  31 k
 python-enchant                   noarch 1.6.5-10.fc19             fedora  96 k
 python-fedora                    noarch 0.3.32.3-1.fc19           fedora 277 k
 python-gitdb                     x86_64 0.5.4-5.fc19              fedora  91 k
 python-krbV                      x86_64 1.0.90-6.fc19             fedora  53 k
 python-magic                     x86_64 5.11-9.fc19               fedora  29 k
 python-offtrac                   noarch 0.0.4-1.fc19              fedora  15 k
 python-requests                  noarch 1.1.0-3.fc19              fedora  70 k
 python-simplejson                x86_64 3.2.0-1.fc19              fedora 170 k
 python-six                       noarch 1.3.0-1.fc19              fedora  18 k
 python-smmap                     noarch 0.8.1-6.fc19              fedora  27 k
 python-urllib3                   noarch 1.5-6.fc19                fedora  41 k
 redhat-rpm-config                noarch 9.1.0-45.fc19             fedora  71 k
 rpm-build                        x86_64 4.11.0.1-2.fc19           fedora 132 k
 rpmdevtools                      noarch 8.3-3.fc19                fedora 116 k
 rpmlint                          noarch 1.5-1.fc19                fedora 228 k
 xemacs-filesystem                noarch 21.5.33-5.fc19            fedora  14 k
 ykpers                           x86_64 1.9.0-2.fc19              fedora  79 k

Transaction Summary
================================================================================
Install  1 Package (+39 Dependent packages)

Total download size: 3.7 M
Installed size: 13 M
Is this ok [y/d/N]:
Comment 1 Jonathan Dieter 2013-06-24 03:55:35 EDT
What repositories do you have enabled?  I see that deltarpm-3.6-1.fc19 and python-deltarpm-3.6-1.fc19 are both available in updates-testing, and neither are in the fedora repository.  They're both also generated from the same srpm, so I'm not sure how you managed to get one and not the other.
Comment 2 Dan Mashal 2013-06-24 04:17:28 EDT
updates-testing.
Comment 3 Jonathan Dieter 2013-06-24 05:56:19 EDT
Have you installed fedora-release-19-2.noarch?  If so, it disabled updates-testing.  I think what happened is that you updated deltarpm when updates-testing was enabled, but then tried to install fedora-packager (which tried to pull in python-deltarpm) after it had been disabled.

If updates-testing is disabled, you might want to run yum distro-sync so that you downgrade any packages that didn't make it out of updates-testing.  Alternatively, you could re-enable updates-testing and update both deltarpm and python-deltarpm.

I'm closing this as NOTABUG.  If my assumptions about what happened are incorrect, please feel free to reopen.
Comment 4 Dan Mashal 2013-06-24 22:49:00 EDT
Your assessment is correct.

I re-enabled updates-testing, did yum clean all and the problem is solved.

Note You need to log in before you can comment on or make changes to this bug.